.TH PP 1
.SH NAME
pp \- prepend the content of the first file in the second
.SH SYNOPSIS
.ad l
.nh
.B pp
[\fIsource\fR]
.IR target
.hy
.ad
.SH DESCRIPTION
The
.B pp
(prepend) utility takes the content of the file named by the
.IR source
operand and inserts or prepends it
above the first line of the file named by the
.IR target
operand. The file operands are processed in command-line order. If the
.IR source
file is a single dash (\(oq-\(cq) or absent,
.B pp
reads from the standard input.
.SH "EXIT STATUS"
The
.B pp
utility exits 0 on success, and 1 if an error occurs.
.SH EXAMPLES
.nf
.B pp header.txt spreadsheet.csv
.fi
.PP
Prepend contents of \fBheader.txt\fR to \fBspreadsheet.csv\fR.
.PP
.nf
.B pp - spreadsheet.csv
.fi
.PP
Prepend data it receives from standard input until it receives an EOF (\(oq^D\(cq) character to \fBspreadsheet.csv\fR.
.PP
.nf
.B pp spreadsheet.csv
.fi
.PP
Prepend data it receives from standard input until it receives an EOF (\(oq^D\(cq) character to \fBspreadsheet.csv\fR.
.SH AUTHOR
.MT alessio.chiapperini@\:nullbuffer.com
Alessio Chiapperini
.ME
